/*******************************************************************************
 *	BdsDataFileAscii.h	Data File Access
 *			T.Barnaby,	BEAM Ltd,	2008-06-24
 *******************************************************************************
 */
#ifndef BdsDataFileAscii_H
#define	BdsDataFileAscii_H

#include <BdsDataFile.h>
#include <BdsD.h>

namespace Bds {

class DataFileAscii : public DataFile {
public:
				DataFileAscii();

	BError			open(BString fileName, BString mode);

	BError			setInfo(DataInfo& dataInfo, BList<ChannelInfo>& channelInfos);
	BError			writeData(DataBlock& data);

	static DataFormat	getFormats();

private:
	DataInfo		odataInfo;
};

}
#endif
